<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    tools:context=".MainActivity">

    <!-- 左上角顶点 -->
    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guidelineHorTop"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.12" />   <!-- 20 % -->

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guidelineVerStart"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.1" />   <!-- 10 % -->

    <!-- 右下角顶点 -->
    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guidelineHorBottom"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="1.0" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guidelineVerEnd"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="1.0" />


    <dji.v5.ux.flight.takeoff.TakeOffWidget
        android:id="@+id/bttakeoff"
        android:layout_width="50dp"
        android:layout_height="50dp"
        app:layout_constraintBottom_toTopOf="@+id/guidelineHorBottom"
        app:layout_constraintEnd_toStartOf="@+id/guidelineVerStart"
        app:layout_constraintHorizontal_bias="0.521"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/guidelineHorTop"
        app:layout_constraintVertical_bias="0.369" />


    <dji.v5.ux.flight.returnhome.ReturnHomeWidget
        android:layout_width="50dp"
        android:layout_height="50dp"
        app:layout_constraintBottom_toTopOf="@+id/guidelineHorBottom"
        app:layout_constraintEnd_toStartOf="@+id/guidelineVerStart"
        app:layout_constraintHorizontal_bias="0.521"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/guidelineHorTop"
        app:layout_constraintVertical_bias="0.726" />

    <dji.v5.ux.core.widget.fpv.FPVWidget
        android:id="@+id/fpvWidget"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/guidelineHorBottom"
        app:layout_constraintEnd_toStartOf="@id/guidelineVerEnd"
        app:layout_constraintStart_toStartOf="@id/guidelineVerStart"
        app:layout_constraintTop_toTopOf="@id/guidelineHorTop" >

    </dji.v5.ux.core.widget.fpv.FPVWidget>


    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/barrier2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="top" />


    <Button
        android:id="@+id/bthuanrao"
        android:layout_width="107dp"
        android:layout_height="49dp"
        android:text="环绕"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.403"
        app:layout_constraintStart_toStartOf="@+id/guidelineVerStart"
        tools:layout_editor_absoluteY="1dp" />

    <androidx.appcompat.widget.SwitchCompat
        android:id="@+id/sw_orbit"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="环绕飞行"
        android:textColor="#FFEA00"
        app:layout_constraintEnd_toStartOf="@+id/guidelineVerEnd"
        app:layout_constraintHorizontal_bias="0.08"
        app:layout_constraintStart_toStartOf="@+id/guidelineVerStart"
        app:theme="@style/ThemeOverlay.SwitchBright"
        tools:layout_editor_absoluteY="2dp" />

    <Button
        android:id="@+id/bttakedown"
        android:layout_width="107dp"
        android:layout_height="49dp"
        android:text="识别降落"
        app:layout_constraintEnd_toStartOf="@+id/guidelineVerEnd"
        app:layout_constraintHorizontal_bias="0.809"
        app:layout_constraintStart_toStartOf="@+id/guidelineVerStart"
        tools:layout_editor_absoluteY="1dp" />


</androidx.constraintlayout.widget.ConstraintLayout>